Skip to main content
`Ctrl`+`K`

# SNESResetFromOptions

Sets various `SNES` and `KSP` parameters from user options ONLY if the `SNESSetFromOptions()` was previously called

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESResetFromOptions(SNES snes)

Collective

## Input Parameter

- snes - the `SNES` context

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetFromOptions()`, `SNESSetOptionsPrefix()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages